#pragma once
#include <map>
struct M_ActivityCarnivalRankingCFGData
{
	//编号
	int mID;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具
	std::vector<int> mRewardItme;
	//奖励数量
	std::vector<int> mRewardCount;
};

class M_ActivityCarnivalRankingCFG
{
public:
private:
	static std::auto_ptr<M_ActivityCarnivalRankingCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityCarnivalRankingCFGData* GetData(int ID);
	const std::map<int, M_ActivityCarnivalRankingCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityCarnivalRankingCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityCarnivalRankingCFGData> mMapData;
};
